Bug 277599 - zooming is lost when page is reloaded
Summary: zooming is lost when page is reloaded
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 07:11 UTC by Mohd Asif Ali Rizwaan
Modified: 2012-06-19 15:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohd Asif Ali Rizwaan 2011-07-12 07:11:59 UTC
Version:           latest git snapshot (using Devel) 
OS:                Linux

The zoomed text is restored to 100% on reload

Reproducible: Didn't try

Steps to Reproduce:
1. open a page with rekonq
2. zoom the text say 200%
3. reload the page

Actual Results:  
4. page is now zoomed at 100%

Expected Results:  
5. the zooming should not be reset on reload or subsequent loading of urls whether in new tab or inpage from the zoomed page.

OS: Linux (i686) release 2.6.39-ARCH
Compiler: gcc
Comment 1 Andrea Diamantini 2012-06-19 15:47:24 UTC
Git commit 85205e6368da2ee46cfe46b64f71a5c6beecab80 by Andrea Diamantini.
Committed on 19/06/2012 at 17:37.
Pushed by adjam into branch 'master'.

Fix and improve save zoom feature, loading it on start

This seems to work also with problem described in bug #295446
Related: bug 296447, bug 295446

M  +9    -8    src/webpage.cpp

http://commits.kde.org/rekonq/85205e6368da2ee46cfe46b64f71a5c6beecab80